#ifndef __CMD_DEF__H__
#define __CMD_DEF__H__

//////////////////////////////////////////////////////////////////////////////////////////////////
//user account, user auth, session manager command
//////////////////////////////////////////////////////////////////////////////////////////////////
#define CMD_USER_MANAGE_BASE				100
#define CMD_USER_LOGIN						(CMD_USER_MANAGE_BASE + 1)
#define CMD_SESSION_UPDATE					(CMD_USER_MANAGE_BASE + 2)
#define CMD_SESSION_CHECK					(CMD_USER_MANAGE_BASE + 3)
#define CMD_USER_LOGOUT						(CMD_USER_MANAGE_BASE + 4)
#define CMD_USER_ADDUSER					(CMD_USER_MANAGE_BASE + 5)
#define CMD_USER_EDITUSER					(CMD_USER_MANAGE_BASE + 6)
#define CMD_USER_DELUSER					(CMD_USER_MANAGE_BASE + 7)
#define CMD_USER_GETPASSWORD				(CMD_USER_MANAGE_BASE + 8)
#define CMD_USER_ADD_OR_EDIT_USER			(CMD_USER_MANAGE_BASE + 9)
#define CMD_USER_MANAGE_LAST				(CMD_USER_MANAGE_BASE + 9)
///////////////////////////////////////////////////////////////////////////////////////////////////
//PTZ control command
///////////////////////////////////////////////////////////////////////////////////////////////////
#define CMD_PTZ_BASE						120
#define CMD_PTZ_CONTROL						(CMD_PTZ_BASE + 0)
#define CMD_PTZ_CONTROL_TRANS_DATA			(CMD_PTZ_BASE + 1)
#define CMD_PLATFORM_CONTROL				(CMD_PTZ_BASE + 4) 
#define CMD_THERMAL_IMAGER   (CMD_PTZ_BASE + 5)

#define CMD_ALARM_NOTIFY		130				//notify alarm to system server
#define CMD_ALARM_REPORT		131

///////////////////////////////////////////////////////////////////////////////////////////////////
//reverse audio command
///////////////////////////////////////////////////////////////////////////////////////////////////
#define CMD_REVERSE_AUDIO_BASE				140
#define CMD_START_REVERSE_AUDIO				(CMD_REVERSE_AUDIO_BASE + 0)
#define CMD_REVERSE_AUDIO_DATA				(CMD_REVERSE_AUDIO_BASE + 1)
#define CMD_STOP_REVERSE_AUDIO				(CMD_REVERSE_AUDIO_BASE + 2)
#define CMD_REVERSE_AUDIO_LAST				(CMD_REVERSE_AUDIO_BASE + 3)
///////////////////////////////////////////////////////////////////////////////////////////////////
//CONGIG SET AND GET
///////////////////////////////////////////////////////////////////////////////////////////////////
//system config cmd
#define CMD_SYSTEM_CONFIG_BASE				200
#define CMD_GET_SYSTEM_CONFIG				(CMD_SYSTEM_CONFIG_BASE + 0)
#define CMD_GET_SYSTEM_PTZ_CONFIG			(CMD_SYSTEM_CONFIG_BASE + 1)
#define CMD_GET_SYSTEM_TIME_CONFIG			(CMD_SYSTEM_CONFIG_BASE + 2)
#define CMD_GET_SYSTEM_USER_CONFIG			(CMD_SYSTEM_CONFIG_BASE + 3)
#define CMD_GET_SYSTEM_LOG_CONFIG			(CMD_SYSTEM_CONFIG_BASE + 4)
#define CMD_GET_SYSTEM_MISC_CONFIG			(CMD_SYSTEM_CONFIG_BASE + 5)
#define CMD_GET_SYSTEM_MAINTAIN_CONFIG		(CMD_SYSTEM_CONFIG_BASE + 6)
#define CMD_GET_SYSTEM_ALOWIP_CONFIG		(CMD_SYSTEM_CONFIG_BASE + 7)
#define CMD_GET_SYSTEM_ALARMCLOCK_CONFIG	(CMD_SYSTEM_CONFIG_BASE + 8)
#define CMD_GET_SYSTEM_LAST	(CMD_SYSTEM_CONFIG_BASE + 19)
#define CMD_SET_SYSTEM_CONFIG				(CMD_SYSTEM_CONFIG_BASE + 20)
#define CMD_SET_SYSTEM_PTZ_CONFIG			(CMD_SYSTEM_CONFIG_BASE + 21)
#define CMD_SET_SYSTEM_TIME_CONFIG			(CMD_SYSTEM_CONFIG_BASE + 22)
#define CMD_SET_SYSTEM_USER_CONFIG			(CMD_SYSTEM_CONFIG_BASE + 23)
#define CMD_SET_SYSTEM_LOG_CONFIG			(CMD_SYSTEM_CONFIG_BASE + 24)
#define CMD_SET_SYSTEM_PTZ_COMMON			(CMD_SYSTEM_CONFIG_BASE + 25)
#define CMD_SET_SYSTEM_PTZ_ADVANCE			(CMD_SYSTEM_CONFIG_BASE + 26)
#define CMD_SET_SYSTEM_MISC_CONFIG			(CMD_SYSTEM_CONFIG_BASE + 27)
#define CMD_SET_SYSTEM_MAINTAIN_CONFIG		(CMD_SYSTEM_CONFIG_BASE + 28)
#define CMD_SET_SYSTEM_ALOWIP_CONFIG		(CMD_SYSTEM_CONFIG_BASE + 29)
#define CMD_SET_SYSTEM_ALARMCLOCK_CONFIG	(CMD_SYSTEM_CONFIG_BASE + 30)
#define CMD_SYSTEM_CONFIG_LAST		(CMD_SYSTEM_CONFIG_BASE + 49)
#define CMD_NETWORK_CONFIG_BASE				300
#define CMD_GET_NETWORK_CONFIG				(CMD_NETWORK_CONFIG_BASE + 0)
//#define CMD_GET_NETWORK_COMMON_CONFIG		(CMD_NETWORK_CONFIG_BASE + 1)
//#define CMD_GET_NETWORK_IPACQUIRE_CONFIG	(CMD_NETWORK_CONFIG_BASE + 2)
#define CMD_GET_NETWORK_LAN_CONFIG   		(CMD_NETWORK_CONFIG_BASE + 5)
#define CMD_GET_NETWORK_WIFI_CONFIG			(CMD_NETWORK_CONFIG_BASE + 6)
#define CMD_GET_NETWORK_ADSL_CONFIG			(CMD_NETWORK_CONFIG_BASE + 10)
#define CMD_GET_NETWORK_DDNS_CONFIG			(CMD_NETWORK_CONFIG_BASE + 11)
#define CMD_GET_NETWORK_UPNP_CONFIG			(CMD_NETWORK_CONFIG_BASE + 12)
#define CMD_GET_NETWORK_G3_CONFIG			(CMD_NETWORK_CONFIG_BASE + 13)
#define CMD_GET_NETWORK_3G_CONFIG			CMD_GET_NETWORK_G3_CONFIG
#define CMD_GET_NETWORK_PPTP_CONFIG			(CMD_NETWORK_CONFIG_BASE + 14)
#define CMD_GET_NETWORK_P2P_CONFIG			(CMD_NETWORK_CONFIG_BASE + 15)
#define CMD_GET_NETWORK_WIFIAP_CONFIG		(CMD_NETWORK_CONFIG_BASE + 16)
#define CMD_GET_NETWORK_LAST			(CMD_NETWORK_CONFIG_BASE + 19)
#define CMD_SET_NETWORK_CONFIG			 	(CMD_NETWORK_CONFIG_BASE + 20)
//#define CMD_SET_NETWORK_COMMON_CONFIG		(CMD_NETWORK_CONFIG_BASE + 21)
//#define CMD_SET_NETWORK_IPACQUIRE_CONFIG	(CMD_NETWORK_CONFIG_BASE + 22)
#define CMD_SET_NETWORK_LAN_CONFIG			(CMD_NETWORK_CONFIG_BASE + 25)
#define CMD_SET_NETWORK_WIFI_CONFIG			(CMD_NETWORK_CONFIG_BASE + 26)
#define CMD_SET_NETWORK_ADSL_CONFIG			(CMD_NETWORK_CONFIG_BASE + 30)
#define CMD_SET_NETWORK_DDNS_CONFIG			(CMD_NETWORK_CONFIG_BASE + 31)
#define CMD_SET_NETWORK_UPNP_CONFIG			(CMD_NETWORK_CONFIG_BASE + 32)
#define CMD_SET_NETWORK_G3_CONFIG			(CMD_NETWORK_CONFIG_BASE + 33)
#define CMD_SET_NETWORK_3G_CONFIG			CMD_SET_NETWORK_G3_CONFIG
#define CMD_SET_NETWORK_PPTP_CONFIG			(CMD_NETWORK_CONFIG_BASE + 34)
#define CMD_SET_NETWORK_P2P_CONFIG			(CMD_NETWORK_CONFIG_BASE + 35)
#define CMD_SET_NETWORK_WIFIAP_CONFIG		(CMD_NETWORK_CONFIG_BASE + 36)
#define CMD_GET_DEFAULT_NETWORK_LAN_CONFIG  (CMD_NETWORK_CONFIG_BASE + 37)
#define CMD_NETWORK_CONFIG_LAST				(CMD_NETWORK_CONFIG_BASE + 49)
//server config cmd
#define CMD_SERVER_CONFIG_BASE				400
#define CMD_GET_SERVER_CONFIG				(CMD_SERVER_CONFIG_BASE + 0)
#define CMD_GET_SERVER_FTP_CONFIG			(CMD_SERVER_CONFIG_BASE + 1)
#define CMD_GET_SERVER_SMTP_CONFIG			(CMD_SERVER_CONFIG_BASE + 2)
#define CMD_GET_SERVER_LAST		(CMD_SERVER_CONFIG_BASE + 19)
#define CMD_SET_SERVER_CONFIG				(CMD_SERVER_CONFIG_BASE + 20)
#define CMD_SET_SERVER_FTP_CONFIG			(CMD_SERVER_CONFIG_BASE + 21)
#define CMD_SET_SERVER_SMTP_CONFIG			(CMD_SERVER_CONFIG_BASE + 22)
#define CMD_SERVER_CONFIG_LAST			(CMD_SERVER_CONFIG_BASE + 49)
//media config cmd
#define CMD_MEDIA_CONFIG_BASE				500
#define CMD_GET_MEDIA_CONFIG				(CMD_MEDIA_CONFIG_BASE + 0)
#define CMD_GET_MEDIA_VIDEO_CONFIG			(CMD_MEDIA_CONFIG_BASE + 1)
#define CMD_GET_MEDIA_AUDIO_CONFIG			(CMD_MEDIA_CONFIG_BASE + 2)
#define CMD_GET_MEDIA_VIDEO_ENCODE			(CMD_MEDIA_CONFIG_BASE + 3)
#define CMD_GET_MEDIA_VIDEO_CAPTURE			(CMD_MEDIA_CONFIG_BASE + 4)
#define CMD_GET_MEDIA_VIDEO_OSD				(CMD_MEDIA_CONFIG_BASE + 5)
#define CMD_GET_MEDIA_VIDEO_JPEG			(CMD_MEDIA_CONFIG_BASE + 6)
#define CMD_GET_MEDIA_AUDIO_CAPTURE			(CMD_MEDIA_CONFIG_BASE + 7)
#define CMD_GET_MEDIA_AUDIO_ENCODE			(CMD_MEDIA_CONFIG_BASE + 8)
#define CMD_GET_MEDIA_VIDEO_MASK			(CMD_MEDIA_CONFIG_BASE + 9) 
#define CMD_GET_MEDIA_VIDEO_ROI				(CMD_MEDIA_CONFIG_BASE + 10) 
#define CMD_GET_MEDIA_VIDEO_USEROSD			(CMD_MEDIA_CONFIG_BASE + 11)
#define CMD_GET_MEDIA_LAST		(CMD_MEDIA_CONFIG_BASE + 19)
#define CMD_SET_MEDIA_CONFIG				(CMD_MEDIA_CONFIG_BASE + 20)
#define CMD_SET_MEDIA_VIDEO_CONFIG			(CMD_MEDIA_CONFIG_BASE + 21)
#define CMD_SET_MEDIA_AUDIO_CONFIG			(CMD_MEDIA_CONFIG_BASE + 22)
#define CMD_SET_MEDIA_VIDEO_ENCODE			(CMD_MEDIA_CONFIG_BASE + 23)
#define CMD_SET_MEDIA_VIDEO_CAPTURE			(CMD_MEDIA_CONFIG_BASE + 24)
#define CMD_SET_MEDIA_VIDEO_OSD				(CMD_MEDIA_CONFIG_BASE + 25)
#define CMD_SET_MEDIA_VIDEO_JPEG			(CMD_MEDIA_CONFIG_BASE + 26)
#define CMD_SET_MEDIA_AUDIO_CAPTURE			(CMD_MEDIA_CONFIG_BASE + 27)
#define CMD_SET_MEDIA_AUDIO_ENCODE			(CMD_MEDIA_CONFIG_BASE + 28)
#define CMD_SET_MEDIA_VIDEO_MASK			(CMD_MEDIA_CONFIG_BASE + 29)
#define CMD_SET_MEDIA_VIDEO_ROI				(CMD_MEDIA_CONFIG_BASE + 30)
#define CMD_SET_MEDIA_VIDEO_USEROSD		(CMD_MEDIA_CONFIG_BASE + 31)
#define CMD_MEDIA_CONFIG_LAST			(CMD_MEDIA_CONFIG_BASE + 49) 
//mediastream config cmd
#define CMD_MEDIASTREAM_CONFIG_BASE			600
#define CMD_GET_MEDIASTREAM_CONFIG			(CMD_MEDIASTREAM_CONFIG_BASE + 0)
#define CMD_GET_MEDIASTREAM_LAST			(CMD_MEDIASTREAM_CONFIG_BASE + 19)
#define CMD_SET_MEDIASTREAM_CONFIG			(CMD_MEDIASTREAM_CONFIG_BASE + 20)
#define CMD_MEDIASTREAM_CONFIG_CHANGE			(CMD_MEDIASTREAM_CONFIG_BASE + 21)
#define CMD_MEDIASTREAM_CONFIG_LAST			(CMD_MEDIASTREAM_CONFIG_BASE + 49)
#define CMD_PLATFORM_CONFIG_BASE			650
#define CMD_GET_PLATFORM_CONFIG				(CMD_PLATFORM_CONFIG_BASE + 0)
#define CMD_GET_PLATFORM_CONFIG_LAST				(CMD_PLATFORM_CONFIG_BASE + 19)
#define CMD_SET_PLATFORM_CONFIG				(CMD_PLATFORM_CONFIG_BASE + 20)
#define CMD_PLATFORM_CONFIG_LAST			(CMD_PLATFORM_CONFIG_BASE + 29)
#define CMD_GB28181_CONFIG_BASE				680
#define CMD_GET_GB28181_CONFIG				(CMD_GB28181_CONFIG_BASE + 0)
#define CMD_SET_GB28181_CONFIG				(CMD_GB28181_CONFIG_BASE + 1)
#define CMD_GB28181_CONFIG_LAST				(CMD_GB28181_CONFIG_BASE + 2)
//record config cmd
#define CMD_RECORD_CONFIG_BASE				700
#define CMD_GET_RECORD_CONFIG				(CMD_RECORD_CONFIG_BASE + 0)
#define CMD_GET_RECORD_CONFIG_LAST			(CMD_RECORD_CONFIG_BASE + 19)
#define CMD_SET_RECORD_CONFIG				(CMD_RECORD_CONFIG_BASE + 20)
#define CMD_RECORD_CONFIG_LAST			(CMD_RECORD_CONFIG_BASE + 49)
//alarm config cmd
#define CMD_ALARM_CONFIG_BASE				800
#define CMD_GET_ALARM_CONFIG				(CMD_ALARM_CONFIG_BASE + 0)
#define CMD_GET_ALARM_INPUT_CONFIG			(CMD_ALARM_CONFIG_BASE + 1)
#define CMD_GET_ALARM_MOTIONDETECT_CONFIG	(CMD_ALARM_CONFIG_BASE + 2)
#define CMD_GET_ALARM_VIDEOCOVER_CONFIG		(CMD_ALARM_CONFIG_BASE + 3)
#define CMD_GET_ALARM_VIDEOLOST_CONFIG		(CMD_ALARM_CONFIG_BASE + 4)
#define CMD_GET_ALARM_SF_CONFIG				(CMD_ALARM_CONFIG_BASE + 5)
#define CMD_GET_ALARM_AUDIO_CONFIG			(CMD_ALARM_CONFIG_BASE + 6)
#define CMD_GET_ALARM_VIDEO_GATE			(CMD_ALARM_CONFIG_BASE + 7) 
#define CMD_GET_ALARM_PD	(CMD_ALARM_CONFIG_BASE + 8) 
#define CMD_GET_ALARM_LAST	(CMD_ALARM_CONFIG_BASE + 19) 
#define CMD_SET_ALARM_CONFIG				(CMD_ALARM_CONFIG_BASE + 20)
#define CMD_SET_ALARM_INPUT_CONFIG			(CMD_ALARM_CONFIG_BASE + 21)
#define CMD_SET_ALARM_MOTIONDETECT_CONFIG	(CMD_ALARM_CONFIG_BASE + 22)
#define CMD_SET_ALARM_VIDEOCOVER_CONFIG		(CMD_ALARM_CONFIG_BASE + 23)
#define CMD_SET_ALARM_VIDEOLOST_CONFIG		(CMD_ALARM_CONFIG_BASE + 24)
#define CMD_SET_ALARM_SF_CONFIG				(CMD_ALARM_CONFIG_BASE + 25)
#define CMD_SET_ALARM_INPUT_CHANNEL_CONFIG	(CMD_ALARM_CONFIG_BASE + 26)		
#define CMD_SET_ALARM_AUDIO_CONFIG			(CMD_ALARM_CONFIG_BASE + 27)
#define CMD_SET_ALARM_VIDEO_GATE			(CMD_ALARM_CONFIG_BASE + 28) 
#define CMD_SET_ALARM_PD	(CMD_ALARM_CONFIG_BASE + 29) 
#define CMD_ALARM_CONFIG_LAST				(CMD_ALARM_CONFIG_BASE + 49)
#define CMD_GET_CONFIG_FIELD_VALUE			900
// config manager cmd
#define CMD_SYSTEM_MANAGE_BASE				1000
#define CMD_CONFIG_UPDATE					(CMD_SYSTEM_MANAGE_BASE + 1)
#define CMD_CONFIG_RESTORE					(CMD_SYSTEM_MANAGE_BASE + 2)
#define CMD_CONFIG_BACKUP					(CMD_SYSTEM_MANAGE_BASE + 3)
#define CMD_SET_SYSTEM_TIME					(CMD_SYSTEM_MANAGE_BASE + 5)
#define CMD_SYSTEM_REBOOT					(CMD_SYSTEM_MANAGE_BASE + 7)
#define CMD_RECORD_REMOVE					(CMD_SYSTEM_MANAGE_BASE + 8)
#define CMD_APPBIN_LOCAL_UPDATE 			(CMD_SYSTEM_MANAGE_BASE + 9)
#define CMD_SYSTEM_UPDATE_FRAM				CMD_APPBIN_LOCAL_UPDATE
#define CMD_APPBIN_FTP_UPDATE  				(CMD_SYSTEM_MANAGE_BASE + 10)
#define CMD_GET_SYSTEM_VERSION_INFO			(CMD_SYSTEM_MANAGE_BASE + 12)
#define CMD_GET_LOG_CONFIG      			(CMD_SYSTEM_MANAGE_BASE + 13)
#define CMD_GET_STORAGE_INFO 				(CMD_SYSTEM_MANAGE_BASE + 14)
#define CMD_RECORD_START					(CMD_SYSTEM_MANAGE_BASE + 15)
#define CMD_RECORD_STOP						(CMD_SYSTEM_MANAGE_BASE + 16)	
#define CMD_STORAGE_DEVICE_FORMAT			(CMD_SYSTEM_MANAGE_BASE + 17)	
#define CMD_STORAGE_DEVICE_UNMOUNT			(CMD_SYSTEM_MANAGE_BASE + 18)	
#define CMD_GET_SERIALNUMBER				(CMD_SYSTEM_MANAGE_BASE + 19)	
#define CMD_GET_SYSTEMCONTROLSTRING			(CMD_SYSTEM_MANAGE_BASE + 20)	
#define CMD_GET_RECORD_FILE_LIST			(CMD_SYSTEM_MANAGE_BASE + 21)
#define CMD_UPLOAD_FILE						(CMD_SYSTEM_MANAGE_BASE + 22)
#define CMD_DOWNLOAD_FILE					(CMD_SYSTEM_MANAGE_BASE + 23)
#define CMD_REMOVE_FILE						(CMD_SYSTEM_MANAGE_BASE + 24)
#define CMD_GET_LOGFILE_LIST				(CMD_SYSTEM_MANAGE_BASE + 25)
#define CMD_GET_NETWORK_STATUS				(CMD_SYSTEM_MANAGE_BASE + 26)
#define CMD_CONFIG_NETWORK					(CMD_SYSTEM_MANAGE_BASE + 27)
#define CMD_SET_REPLAY_FILENAME				(CMD_SYSTEM_MANAGE_BASE + 28)
#define CMD_GET_REPLAY_FILENAME				(CMD_SYSTEM_MANAGE_BASE + 29)
#define CMD_GET_IPC_TYPE					(CMD_SYSTEM_MANAGE_BASE + 30) 
//added by 20111110
#define CMD_GET_MEDIA_CAPABILITY			(CMD_SYSTEM_MANAGE_BASE + 31) 
#define CMD_SET_KEYFRAME					(CMD_SYSTEM_MANAGE_BASE + 32) 
#define CMD_SET_USER_DEV_DATA				(CMD_SYSTEM_MANAGE_BASE + 33) 
#define CMD_GET_USER_DEV_DATA				(CMD_SYSTEM_MANAGE_BASE + 34) 
#define CMD_OPEN_RS232_PORT					(CMD_SYSTEM_MANAGE_BASE + 35) 
#define CMD_CLOSE_RS232_PORT				(CMD_SYSTEM_MANAGE_BASE + 36) 
#define CMD_START_RTP_PUSH					(CMD_SYSTEM_MANAGE_BASE + 40) 
#define CMD_STOP_RTP_PUSH					(CMD_SYSTEM_MANAGE_BASE + 41)
#define CMD_ALARM_OUTPUT_CONTROL			(CMD_SYSTEM_MANAGE_BASE + 42)
#define CMD_SNAP_JPEG_PICTURE				(CMD_SYSTEM_MANAGE_BASE + 43) 
#define CMD_NETWORK_DIAL					(CMD_SYSTEM_MANAGE_BASE + 45) 
#define CMD_IRCUT_CONTROL					(CMD_SYSTEM_MANAGE_BASE + 46) 
#define CMD_DAYNIGHT_MODEL					CMD_IRCUT_CONTROL
#define CMD_SET_AUX_DATA					(CMD_SYSTEM_MANAGE_BASE + 47) 
#define CMD_GET_SYSTEM_TIME					(CMD_SYSTEM_MANAGE_BASE + 48) 
#define CMD_GET_PTZ_CAPABILITY				(CMD_SYSTEM_MANAGE_BASE + 49) 
#define CMD_GET_WIFI_AP_INFO				(CMD_SYSTEM_MANAGE_BASE + 50)
#define CMD_REGISTER_DDNS          			(CMD_SYSTEM_MANAGE_BASE + 51) 
#define CMD_DDNS_AUTO_REGDOMAIN				CMD_REGISTER_DDNS
#define CMD_TZ_CHANGE                		(CMD_SYSTEM_MANAGE_BASE + 52)
#define CMD_SET_GATEWAY            			(CMD_SYSTEM_MANAGE_BASE + 53)
#define CMD_SET_IP                    		(CMD_SYSTEM_MANAGE_BASE + 54)
#define CMD_SET_DNS           				(CMD_SYSTEM_MANAGE_BASE + 55)
#define CMD_SET_DHCP         				(CMD_SYSTEM_MANAGE_BASE + 56)
#define CMD_56U48V_MODULE_CONTROL			(CMD_SYSTEM_MANAGE_BASE + 70) 
#define CMD_LSA_P2P_REGISTER				(CMD_SYSTEM_MANAGE_BASE + 71) 
#define CMD_LSA_P2P_GET_REGISTER_INFO		(CMD_SYSTEM_MANAGE_BASE + 72) 
#define CMD_P2P_GET_LOGIN_STATE				(CMD_SYSTEM_MANAGE_BASE + 73) 
#define CMD_LENS_MOTO_CTRL					(CMD_SYSTEM_MANAGE_BASE + 75) 
#define CMD_MOTO_PRESET_CTRL				(CMD_SYSTEM_MANAGE_BASE + 76) 
#define CMD_CUSTOM_BOMB_CTRL				(CMD_SYSTEM_MANAGE_BASE + 77) 
#define CMD_SET_SYSTEM_TIME_ONLY			(CMD_SYSTEM_MANAGE_BASE + 78)	//ʱ䣬ıʱ
#define CMD_STOP_WIRELESS_CONFIG			(CMD_SYSTEM_MANAGE_BASE + 79)	//ֹͣ
#define CMD_CONFIG_NETWORK_ALWAYS			(CMD_SYSTEM_MANAGE_BASE + 80)	//ζ
#define CMD_SET_MEIDA_IMAGE_PARAM			(CMD_SYSTEM_MANAGE_BASE + 81)
#define CMD_TEST_SMTP						(CMD_SYSTEM_MANAGE_BASE + 82)
#define CMD_SET_PLAYAUDIO_START				(CMD_SYSTEM_MANAGE_BASE + 83)
#define CMD_SET_PLAYAUDIO_STOP				(CMD_SYSTEM_MANAGE_BASE + 84)
#define CMD_GET_IO_INPUT_STATUS				(CMD_SYSTEM_MANAGE_BASE + 85)
#define CMD_GET_IO_OUTPUT_STATUS			(CMD_SYSTEM_MANAGE_BASE + 86)
#define CMD_GET_AUDIO_STATUS				(CMD_SYSTEM_MANAGE_BASE + 87)//ȡǰƵŹ״̬: READY/REVERSE AUDIO/PLAYING FILE
#define CMD_FLICK_IO_OUTPUT_CTRL_START		(CMD_SYSTEM_MANAGE_BASE + 88) //io(PORT2PORT)
#define CMD_FLICK_IO_OUTPUT_CTRL_STOP		(CMD_SYSTEM_MANAGE_BASE + 89) //io(PORT2PORT)
#define CMD_SN_REQUEST						(CMD_SYSTEM_MANAGE_BASE + 90)
#define CMD_SN_CONFIRM						(CMD_SYSTEM_MANAGE_BASE + 91)
#define CMD_SN_INFOMATION					(CMD_SYSTEM_MANAGE_BASE + 92)
#define CMD_TEST_FTP   (CMD_SYSTEM_MANAGE_BASE + 93)
#define CMD_SYSTEM_MANAGE_LAST			1093
#define CMD_MAX_COMAND						1200
#endif

